Loading...
Searching...
No Matches
Opm::EclHysteresisConfig Class Reference

Specifies the configuration used by the ECL kr/pC hysteresis code. More...

`#include <EclHysteresisConfig.hpp>`

## Public Member Functions

void | setEnableHysteresis (bool yesno)
| Specify whether hysteresis is enabled or not.
bool | enableHysteresis () const
| Returns whether hysteresis is enabled.
void | setPcHysteresisModel (int value)
| Set the type of the hysteresis model which is used for capillary pressure.
int | pcHysteresisModel () const
| Return the type of the hysteresis model which is used for capillary pressure.
bool | enablePCHysteresis () const
void | setKrHysteresisModel (int value)
| Set the type of the hysteresis model which is used for relative permeability.
bool | enableWettingHysteresis () const
bool | enableNonWettingHysteresis () const
int | krHysteresisModel () const
| Return the type of the hysteresis model which is used for relative permeability.
double | modParamTrapped () const
| Regularisation parameter used for Killough model.
double | curvatureCapPrs () const
| Curvature parameter used for capillary pressure hysteresis.
bool | enableWagHysteresis () const
| Returns whether hysteresis is enabled.
bool | enablePcScalingHyst () const
| Returns whether Pc scaling is enabled.

## Detailed Description

Specifies the configuration used by the ECL kr/pC hysteresis code.

## Member Function Documentation

## curvatureCapPrs()

double Opm::EclHysteresisConfig::curvatureCapPrs | ( |  | ) | const

inline

Curvature parameter used for capillary pressure hysteresis.

default: 0.1

## krHysteresisModel()

int Opm::EclHysteresisConfig::krHysteresisModel | ( |  | ) | const

inline

Return the type of the hysteresis model which is used for relative permeability.

-1: relperm hysteresis is disabled 0/1: use the Carlson model for relative permeability hysteresis 2/3: use the Killough model for relative permeability hysteresis

## modParamTrapped()

double Opm::EclHysteresisConfig::modParamTrapped | ( |  | ) | const

inline

Regularisation parameter used for Killough model.

default: 0.1

## pcHysteresisModel()

int Opm::EclHysteresisConfig::pcHysteresisModel | ( |  | ) | const

inline

Return the type of the hysteresis model which is used for capillary pressure.

-1: capillary pressure hysteresis is disabled 0: use the Killough model for capillary pressure hysteresis

## setKrHysteresisModel()

void Opm::EclHysteresisConfig::setKrHysteresisModel | ( | int | value | ) |

inline

Set the type of the hysteresis model which is used for relative permeability.

-1: relperm hysteresis is disabled 0: use the Carlson model for relative permeability hysteresis of the non-wetting phase and the drainage curve for the relperm of the wetting phase 1: use the Carlson model for relative permeability hysteresis of the non-wetting phase and the imbibition curve for the relperm of the wetting phase 2: use the Killough model for relative permeability hysteresis of the non-wetting phase and the drainage curve for the relperm of the wetting phase 3: use the Killough model for relative permeability hysteresis of the non-wetting phase and the imbibition curve for the relperm of the wetting phase

## setPcHysteresisModel()

void Opm::EclHysteresisConfig::setPcHysteresisModel | ( | int | value | ) |

inline

Set the type of the hysteresis model which is used for capillary pressure.

-1: capillary pressure hysteresis is disabled 0: use the Killough model for capillary pressure hysteresis

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/EclHysteresisConfig.hpp